#! /bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - pwdutils installation
#
# Creation   :  2013-01-31 holbru
# Last update:  $Id: postinstall-pwdutils.sh 34319 2013-08-17 11:51:10Z hbfl $
#
# Copyright (c) 2013-2013 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=pwdutils

# ---------------------------------------------------------------------------
# generate symlinks
# ---------------------------------------------------------------------------
lib_names="liblog_syslog.so.1.0.0"

cd /usr/lib/pwdutils

for LNAME in ${lib_names}
do
    lib_name=`echo "${LNAME}" | sed 's#\.so.*$##'`
    lib_major=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f1`
    lib_minor=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f2`
    lib_patch=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f3`

    LinkDES="${LNAME}"
    LinkSRC="${lib_name}.so.${lib_major}"

    rm -f ${LinkSRC}
    ln -sf ${LinkDES} ${LinkSRC}
    echo "b 0644 root root ${package_name} usr/lib/pwdutils/${LinkSRC}" \
          >>/etc/filelist.d/${package_name}-files.txt
done
# ---------------------------------------------------------------------------
# running ldconfig
# ---------------------------------------------------------------------------
/sbin/ldconfig


LinkDES=newgrp
LinkSRC="sg"

cd /usr/bin

for LINK in ${LinkSRC}
do
    rm -f ${LINK}
    ln -sf ${LinkDES} ${LINK}
    echo "b 0755 root root ${package_name} usr/bin/${LinkSRC}"  \
          >>/etc/filelist.d/${package_name}-files.txt
done

chown root.shadow {chage,chfn,chsh,expiry,gpasswd,passwd}
chmod 4755 {chage,chfn,chsh,expiry,gpasswd,passwd,newgrp}
chown root.shadow /etc/shadow
chmod 0640 /etc/shadow

LinkDES=vipw
LinkSRC="vigr"

cd /usr/sbin

for LINK in ${LinkSRC}
do
    rm -f ${LINK}
    ln -f ${LinkDES} ${LINK}
    echo "b 0755 root root ${package_name} usr/sbin/${LinkSRC}"  \
          >>/etc/filelist.d/${package_name}-files.txt
done


exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
